<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>LibraryMgr: Item Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_small.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibraryMgr
   &#160;<span id="projectnumber">0.4</span>
   </div>
   <div id="projectbrief">Library manager desktop app</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_item.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#friends">Friends</a> &#124;
<a href="class_item-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Item Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>general item to buy with ID  
 <a href="class_item.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_item_8h_source.html">Item.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Item:</div>
<div class="dyncontent">
<div class="center"><img src="class_item__inherit__graph.png" border="0" usemap="#_item_inherit__map" alt="Inheritance graph"/></div>
<map name="_item_inherit__map" id="_item_inherit__map">
<area shape="rect" id="node2" href="class_book.html" title="Library book with author, ISBN and status. " alt="" coords="5,80,57,107"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a144db4dbae11aa8f2e231cde8646b028"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#a144db4dbae11aa8f2e231cde8646b028">Item</a> (const std::string IDCode=0, std::string name=&quot;&quot;, std::string description=&quot;&quot;)</td></tr>
<tr class="memdesc:a144db4dbae11aa8f2e231cde8646b028"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_item.html" title="general item to buy with ID ">Item</a> New item with ID, name and description.  <a href="#a144db4dbae11aa8f2e231cde8646b028">More...</a><br /></td></tr>
<tr class="separator:a144db4dbae11aa8f2e231cde8646b028"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade7e491f0f1fb579f98c28f7079ace05"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#ade7e491f0f1fb579f98c28f7079ace05">Item</a> (const <a class="el" href="class_item.html">Item</a> &amp;i)</td></tr>
<tr class="memdesc:ade7e491f0f1fb579f98c28f7079ace05"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="class_item.html" title="general item to buy with ID ">Item</a> new item with ID code and default features.  <a href="#ade7e491f0f1fb579f98c28f7079ace05">More...</a><br /></td></tr>
<tr class="separator:ade7e491f0f1fb579f98c28f7079ace05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2bad6384eb6479ea0e1a131054fa1cc7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#a2bad6384eb6479ea0e1a131054fa1cc7">setID</a> (std::string IDCode)</td></tr>
<tr class="memdesc:a2bad6384eb6479ea0e1a131054fa1cc7"><td class="mdescLeft">&#160;</td><td class="mdescRight">sets new ID of item  <a href="#a2bad6384eb6479ea0e1a131054fa1cc7">More...</a><br /></td></tr>
<tr class="separator:a2bad6384eb6479ea0e1a131054fa1cc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1df8af319de8f613b85d99118a1e203"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#ad1df8af319de8f613b85d99118a1e203">setName</a> (std::string name)</td></tr>
<tr class="memdesc:ad1df8af319de8f613b85d99118a1e203"><td class="mdescLeft">&#160;</td><td class="mdescRight">sets new name of item  <a href="#ad1df8af319de8f613b85d99118a1e203">More...</a><br /></td></tr>
<tr class="separator:ad1df8af319de8f613b85d99118a1e203"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5b987640aafeee80a284861ebedb959"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#ab5b987640aafeee80a284861ebedb959">setDescription</a> (std::string description)</td></tr>
<tr class="memdesc:ab5b987640aafeee80a284861ebedb959"><td class="mdescLeft">&#160;</td><td class="mdescRight">sets new description of item  <a href="#ab5b987640aafeee80a284861ebedb959">More...</a><br /></td></tr>
<tr class="separator:ab5b987640aafeee80a284861ebedb959"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a823b431f468a18e58ee2c808e5642a53"><td class="memItemLeft" align="right" valign="top">const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#a823b431f468a18e58ee2c808e5642a53">getID</a> () const </td></tr>
<tr class="memdesc:a823b431f468a18e58ee2c808e5642a53"><td class="mdescLeft">&#160;</td><td class="mdescRight">gets ID code of book  <a href="#a823b431f468a18e58ee2c808e5642a53">More...</a><br /></td></tr>
<tr class="separator:a823b431f468a18e58ee2c808e5642a53"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a116308353701daee0b4fc3e1d0cac104"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#a116308353701daee0b4fc3e1d0cac104">getName</a> () const </td></tr>
<tr class="memdesc:a116308353701daee0b4fc3e1d0cac104"><td class="mdescLeft">&#160;</td><td class="mdescRight">gets name  <a href="#a116308353701daee0b4fc3e1d0cac104">More...</a><br /></td></tr>
<tr class="separator:a116308353701daee0b4fc3e1d0cac104"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd1f64b3368b3f7e8cfa808d5d685c08"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#acd1f64b3368b3f7e8cfa808d5d685c08">getDescription</a> () const </td></tr>
<tr class="memdesc:acd1f64b3368b3f7e8cfa808d5d685c08"><td class="mdescLeft">&#160;</td><td class="mdescRight">gets description  <a href="#acd1f64b3368b3f7e8cfa808d5d685c08">More...</a><br /></td></tr>
<tr class="separator:acd1f64b3368b3f7e8cfa808d5d685c08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a934a60e51bd80b2e1d3e0c3952a2fd2e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#a934a60e51bd80b2e1d3e0c3952a2fd2e">operator==</a> (const <a class="el" href="class_item.html">Item</a> &amp;other) const </td></tr>
<tr class="memdesc:a934a60e51bd80b2e1d3e0c3952a2fd2e"><td class="mdescLeft">&#160;</td><td class="mdescRight">equals other item  <a href="#a934a60e51bd80b2e1d3e0c3952a2fd2e">More...</a><br /></td></tr>
<tr class="separator:a934a60e51bd80b2e1d3e0c3952a2fd2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="friends"></a>
Friends</h2></td></tr>
<tr class="memitem:abe20e9773b0b87540b6b96cced38f38c"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#abe20e9773b0b87540b6b96cced38f38c">operator&lt;&lt;</a> (std::ostream &amp;out, const <a class="el" href="class_item.html">Item</a> &amp;item)</td></tr>
<tr class="memdesc:abe20e9773b0b87540b6b96cced38f38c"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator &lt;&lt; printer  <a href="#abe20e9773b0b87540b6b96cced38f38c">More...</a><br /></td></tr>
<tr class="separator:abe20e9773b0b87540b6b96cced38f38c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a18d2e5e1928be35229ef03aeec3dae4b"><td class="memItemLeft" align="right" valign="top">std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_item.html#a18d2e5e1928be35229ef03aeec3dae4b">operator&lt;&lt;</a> (std::ostream &amp;out, const <a class="el" href="class_item.html">Item</a> *item)</td></tr>
<tr class="memdesc:a18d2e5e1928be35229ef03aeec3dae4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">operator &lt;&lt; printer  <a href="#a18d2e5e1928be35229ef03aeec3dae4b">More...</a><br /></td></tr>
<tr class="separator:a18d2e5e1928be35229ef03aeec3dae4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>general item to buy with ID </p>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a144db4dbae11aa8f2e231cde8646b028"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Item::Item </td>
          <td>(</td>
          <td class="paramtype">const std::string&#160;</td>
          <td class="paramname"><em>IDCode</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>description</em> = <code>&quot;&quot;</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_item.html" title="general item to buy with ID ">Item</a> New item with ID, name and description. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">IDCode</td><td>unique code of item </td></tr>
    <tr><td class="paramname">name</td><td>name of article </td></tr>
    <tr><td class="paramname">description</td><td>comment on article</td></tr>
  </table>
  </dd>
</dl>
<p>Copyright 2016-2017 Stefano Fogarollo</p>
<p>Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at</p>
<p><a href="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</a></p>
<p>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </p>

</div>
</div>
<a class="anchor" id="ade7e491f0f1fb579f98c28f7079ace05"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Item::Item </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_item.html">Item</a> &amp;&#160;</td>
          <td class="paramname"><em>i</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><a class="el" href="class_item.html" title="general item to buy with ID ">Item</a> new item with ID code and default features. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">i</td><td>item to copy </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="acd1f64b3368b3f7e8cfa808d5d685c08"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Item::getDescription </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>gets description </p>
<dl class="section return"><dt>Returns</dt><dd>description of item </dd></dl>

</div>
</div>
<a class="anchor" id="a823b431f468a18e58ee2c808e5642a53"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::string Item::getID </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>gets ID code of book </p>
<dl class="section return"><dt>Returns</dt><dd>ID code of book </dd></dl>

</div>
</div>
<a class="anchor" id="a116308353701daee0b4fc3e1d0cac104"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::string Item::getName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>gets name </p>
<dl class="section return"><dt>Returns</dt><dd>name of item </dd></dl>

</div>
</div>
<a class="anchor" id="a934a60e51bd80b2e1d3e0c3952a2fd2e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Item::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_item.html">Item</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>equals other item </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">other</td><td>other object to compare with </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true iff 2 items are the same </dd></dl>

</div>
</div>
<a class="anchor" id="ab5b987640aafeee80a284861ebedb959"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Item::setDescription </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>description</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>sets new description of item </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">description</td><td>new description of item </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2bad6384eb6479ea0e1a131054fa1cc7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Item::setID </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>IDCode</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>sets new ID of item </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">IDCode</td><td>new ID of item </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad1df8af319de8f613b85d99118a1e203"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Item::setName </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>sets new name of item </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>new name of item </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Friends And Related Function Documentation</h2>
<a class="anchor" id="abe20e9773b0b87540b6b96cced38f38c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_item.html">Item</a> &amp;&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator &lt;&lt; printer </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">out</td><td>stream </td></tr>
    <tr><td class="paramname">item</td><td>object to print </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>print object </dd></dl>

</div>
</div>
<a class="anchor" id="a18d2e5e1928be35229ef03aeec3dae4b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>out</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="class_item.html">Item</a> *&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">friend</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>operator &lt;&lt; printer </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">out</td><td>stream </td></tr>
    <tr><td class="paramname">item</td><td>object to print </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>print object </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>models/Article/Item/<a class="el" href="_item_8h_source.html">Item.h</a></li>
<li>models/Article/Item/Item.cpp</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_item.html">Item</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
